public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alexis Ballier" <aballier@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ml/logs/
Date: Thu, 23 Feb 2017 09:16:03 +0000 (UTC)	[thread overview]
Message-ID: <1487841349.eb6f362c38f9902b650c5b8cd9c2569ea7545b02.aballier@gentoo> (raw)

commit:     eb6f362c38f9902b650c5b8cd9c2569ea7545b02
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 23 08:14:58 2017 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Thu Feb 23 09:15:49 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eb6f362c

dev-ml/logs: Initial import. Ebuild by me.

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 dev-ml/logs/Manifest          |  1 +
 dev-ml/logs/logs-0.6.2.ebuild | 55 +++++++++++++++++++++++++++++++++++++++++++
 dev-ml/logs/metadata.xml      | 13 ++++++++++
 3 files changed, 69 insertions(+)

diff --git a/dev-ml/logs/Manifest b/dev-ml/logs/Manifest
new file mode 100644
index 0000000000..976c4cd6db
--- /dev/null
+++ b/dev-ml/logs/Manifest
@@ -0,0 +1 @@
+DIST logs-0.6.2.tbz 18558 SHA256 a320ef34eda51694be23f2a383d83f9ae6a8430fd0ef8cec1fa8c58be5b10bce SHA512 a669e373652bac6789626ad1d58e414c6d156c646bf0706c9d55b04151850113d45a5c28077707514d1a27d46fcc0f90b39b8652ce7a3980f79675e9874db8b4 WHIRLPOOL 0bccd2561d7a454018d67b651083cf82d9f866f40dc39f04f28219e3aea0fb0db43b0e7bb45ae00932e709ef600fdce56a1dc14935ca70d97ba94445f5a7a129

diff --git a/dev-ml/logs/logs-0.6.2.ebuild b/dev-ml/logs/logs-0.6.2.ebuild
new file mode 100644
index 0000000000..6f93da39ed
--- /dev/null
+++ b/dev-ml/logs/logs-0.6.2.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit findlib
+
+DESCRIPTION="Logging infrastructure for OCaml"
+HOMEPAGE="http://erratique.ch/software/logs https://github.com/dbuenzli/logs"
+SRC_URI="http://erratique.ch/software/logs/releases/${P}.tbz"
+
+LICENSE="ISC"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE="javascript fmt cli lwt test"
+
+RDEPEND="
+	dev-ml/result:=[ocamlopt]
+	dev-lang/ocaml:=[ocamlopt]
+	javascript? ( dev-ml/js_of_ocaml:= )
+	fmt? ( dev-ml/fmt:= )
+	cli? ( dev-ml/cmdliner:=[ocamlopt] )
+	lwt? ( dev-ml/lwt:= )
+"
+DEPEND="${RDEPEND}
+	dev-ml/opam
+	dev-ml/topkg
+	dev-ml/ocamlbuild
+	dev-ml/findlib
+	test? ( dev-ml/mtime )
+"
+
+src_compile() {
+	ocaml pkg/pkg.ml build \
+		--with-js_of_ocaml $(usex javascript true false) \
+		--with-fmt $(usex fmt true false) \
+		--with-cmdliner $(usex cli true false) \
+		--with-lwt $(usex fmt true false) \
+		--tests $(usex test true false) \
+		|| die
+}
+
+src_test() {
+	ocaml pkg/pkg.ml test || die
+}
+
+src_install() {
+	opam-installer -i \
+		--prefix="${ED}/usr" \
+		--libdir="${D}/$(ocamlc -where)" \
+		--docdir="${ED}/usr/share/doc/${PF}" \
+		${PN}.install || die
+	dodoc CHANGES.md README.md
+}

diff --git a/dev-ml/logs/metadata.xml b/dev-ml/logs/metadata.xml
new file mode 100644
index 0000000000..af32ee706c
--- /dev/null
+++ b/dev-ml/logs/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer type="project">
+	<email>ml@gentoo.org</email>
+	<name>Gentoo ML Project</name>
+</maintainer>
+  <use>
+	  <flag name="cli">Enables the Logs_cli library that provides command line support for controlling Logs.</flag>
+	  <flag name="fmt">Enables the Logs_fmt reporter.</flag>
+	  <flag name="lwt">Enables the Logs_lwt library that provides Lwt logging functions.</flag>
+  </use>
+</pkgmetadata>


             reply	other threads:[~2017-02-23  9:16 UTC|newest]

Thread overview: 22+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-02-23  9:16 Alexis Ballier [this message]
  -- strict thread matches above, loose matches on Subject: below --
2017-03-11 10:31 [gentoo-commits] repo/gentoo:master commit in: dev-ml/logs/ Alexis Ballier
2021-01-29 21:19 Alfredo Tupone
2021-01-29 21:41 Alfredo Tupone
2021-01-30 23:00 Alfredo Tupone
2021-02-10 16:30 Sam James
2021-02-10 16:38 Sam James
2021-02-21  7:28 Sam James
2021-02-21  8:11 Sam James
2021-02-21  9:44 Sam James
2021-03-06 18:05 Alfredo Tupone
2021-03-15  4:02 Sam James
2021-05-06  7:22 Sergei Trofimovich
2021-05-15  2:01 Sam James
2021-05-15 19:17 Sam James
2021-05-16  0:07 Sam James
2021-05-16 19:02 Sam James
2021-06-03  0:45 Sam James
2021-12-08 21:54 Maciej Barć
2022-01-13 20:52 Alfredo Tupone
2022-04-18 21:07 Jakov Smolić
2024-06-05  7:31 Alfredo Tupone

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1487841349.eb6f362c38f9902b650c5b8cd9c2569ea7545b02.aballier@gentoo \
    --to=aballier@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox